## qmm 0.2.6

=== Makefile ===
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright notice
# and this notice are preserved.
# This file is offered as-is, without any warranty.

PROJECT=qmm

DESTDIR=
PREFIX=usr/local
INST_DIR=$(DESTDIR)/$(PREFIX)
INST_BIN_DIR=$(INST_DIR)/bin

INST_HELPDIR=$(INST_DIR)/share/help
INST_HELPDIR_EN=$(INST_HELPDIR)/en_US/$(PROJECT)
INST_BASHCOMPDIR=$(INST_DIR)/share/bash-completion/completions/

.PHONY: all install uninstall clean

all:
	@echo "All prepared."

install:
	mkdir -p "$(INST_BIN_DIR)/"
	mkdir -p "$(INST_HELPDIR_EN)/"
	mkdir -p "$(INST_BASHCOMPDIR)/"
	cp source/$(PROJECT) "$(INST_BIN_DIR)/"
	cp help/en_US.txt "$(INST_HELPDIR_EN)/help.txt"
	cp source/_$(PROJECT) "$(INST_BASHCOMPDIR)/$(PROJECT)" || true

uninstall:
	rm -f "$(INST_BIN_DIR)/$(PROJECT)"
	rm -f "$(INST_HELPDIR_EN)/help.txt"
	rm -rf "$(INST_BASHCOMPDIR)/$(PROJECT)"

clean:
	@echo "Nothing to do."

=== debian/changelog ===
qmm (0.2.6-1) bookworm; urgency=medium

  * New upstream release.

 -- Eugene 'Vindex' Stulin <tech.vindex@gmail.com>  Sat, 20 Sep 2025 19:20:29 +0300

=== debian/control ===
Source: qmm
Priority: optional
Maintainer: Eugene 'Vindex' Stulin <tech.vindex@gmail.com>
Build-Depends: make, debhelper (>= 10), lsb-release
Standards-Version: 4.1.2
Section: misc
Homepage: https://gitlab.com/os-18/qmm

Package: qmm
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, bash, virt-manager, qemu-system, libvirt-daemon, virtinst, libvirt-daemon-system
Description: a wrapper tool for quick operations with QEMU/KVM based VMs.
 Simple virtual machine manager.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --

override_dh_auto_install:
	dh_auto_install -- PREFIX=usr

override_dh_auto_test:
	dh_auto_test --
